Subject: Two failures on ‘make -k "-j$(nproc)" check’

From: "Jorge" <[email-masked]>
Date: Thu, 25 Jan 2018 13:15:38 +0000

See ‘test-suite.log’ attached.  This was on Debian 9.3 (stretch) with some requirements installed from APT, plus the following packages compiled from source:
- guile-git from git (last commit was eaa5ed2 according to magit)
- scheme-bytestructures from git (tag v1.0.1)
- gnutls-3.5.17
- guile-2.2.3
In my Guix repository, magit informs tag v0.14.0 (1193).

I use ntlmaps (listening on localhost:5865) to mediate the corporate proxy for programs that do not integrate with Gnome's proxy configuration

The environment of make check:
TIME_STYLE=+%F %a %R:%S
LS_COLORS=
LC_MEASUREMENT=pt_BR.UTF-8
LC_PAPER=pt_BR.UTF-8
LC_MONETARY=pt_BR.UTF-8
XDG_MENU_PREFIX=gnome-
LANG=pt_BR.UTF-8
GDM_LANG=pt_BR.UTF-8
DISPLAY=:1
HISTTIMEFORMAT=[%F %a %T%z] 
OLDPWD=/home/jorge/repos/guix/doc
EDITOR=emacsclient
USERNAME=jorge
INSIDE_EMACS=26.0.91,comint
XDG_VTNR=2
GIO_LAUNCHED_DESKTOP_FILE_PID=1828
SSH_AUTH_SOCK=/run/user/1000/keyring/ssh
XDG_SESSION_ID=3
USER=jorge
PY_USER_BIN=/home/jorge/.local/bin
DESKTOP_SESSION=default
LC_COLLATE=en_US.UTF-8
GUIX_LOCPATH=/home/jorge/.guix-profile/lib/locale
QT_QPA_PLATFORMTHEME=qgnomeplatform
PWD=/home/jorge/repos/guix
HOME=/home/jorge
LC_CTYPE=en_US.UTF-8
JOURNAL_STREAM=9:19928
ALTERNATE_EDITOR=emacs
SSH_AGENT_PID=1320
NAME=Jorge Peixoto de Morais Neto
QT_ACCESSIBILITY=1
VERSION_CONTROL=numbered
XDG_SESSION_TYPE=x11
https_proxy=https://localhost:5865
XDG_DATA_DIRS=/usr/share/gnome:/usr/local/share/:/usr/share/:/var/lib/snapd/desktop
http_proxy=http://localhost:5865
SMTPSERVER=smtp.dataprev.gov.br
XDG_SESSION_DESKTOP=default
EMAIL=[email-masked]
GJS_DEBUG_OUTPUT=stderr
LC_NUMERIC=pt_BR.UTF-8
GTK_MODULES=gail:atk-bridge
COLUMNS=238
WINDOWPATH=2
ORGANIZATION=Dataprev
SHELL=/bin/bash
TERM=dumb
all_proxy=localhost:5865
LC_MESSAGES=en_US.UTF-8
XDG_CURRENT_DESKTOP=GNOME
GPG_AGENT_INFO=/run/user/1000/gnupg/S.gpg-agent:0:1
QT_LINUX_ACCESSIBILITY_ALWAYS_ON=1
GIO_LAUNCHED_DESKTOP_FILE=/usr/local/share/applications/emacs.desktop
SHLVL=1
XDG_SEAT=seat0
GDMSESSION=default
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
LOGNAME=jorge
DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus
XDG_RUNTIME_DIR=/run/user/1000
XAUTHORITY=/run/user/1000/gdm/Xauthority
GUILE_LOAD_PATH=/home/jorge/codigo_fonte/scheme-bytestructures
PATH=/home/jorge/.local/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/snap/bin
INFOPATH=/var/guix/profiles/per-user/root/guix-profile/share/info/:/usr/local/share/guile_info:/usr/local/share/gnutls_info:/var/guix/profiles/per-user/root/guix-profile/share/info/:/usr/local/share/guile_info:/usr/local/share/gnutls_info:/var/guix/profiles/per-user/root/guix-profile/share/info/:
GJS_DEBUG_TOPICS=JS ERROR;JS LOG
TERMCAP=
ftp_proxy=ftp://localhost:5865
SESSION_MANAGER=local/jorge-demorais:@/tmp/.ICE-unix/1264,unix/jorge-demorais:/tmp/.ICE-unix/1264
LC_TIME=pt_BR.UTF-8
_=/usr/bin/env

$ lscpu
Architecture:          x86_64
CPU op-mode(s):        32-bit, 64-bit
Byte Order:            Little Endian
CPU(s):                8
On-line CPU(s) list:   0-7
Thread(s) per core:    2
Core(s) per socket:    4
Socket(s):             1
NUMA node(s):          1
Vendor ID:             GenuineIntel
CPU family:            6
Model:                 94
Model name:            Intel(R) Core(TM) i7-6700 CPU @ 3.40GHz
Stepping:              3
CPU MHz:               3679.343
CPU max MHz:           4000,0000
CPU min MHz:           800,0000
BogoMIPS:              6816.00
Virtualization:        VT-x
L1d cache:             32K
L1i cache:             32K
L2 cache:              256K
L3 cache:              8192K
NUMA node0 CPU(s):     0-7
Flags:                 fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp lm constant_tsc art arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc cpuid aperfmperf tsc_known_freq pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 sdbg fma cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm abm 3dnowprefetch cpuid_fault epb invpcid_single pti intel_pt tpr_shadow vnmi flexpriority ept vpid fsgsbase tsc_adjust bmi1 hle avx2 smep bmi2 erms invpcid rtm mpx rdseed adx smap clflushopt xsaveopt xsavec xgetbv1 xsaves dtherm ida arat pln pts hwp hwp_notify hwp_act_window hwp_epp

Regards
- I am Brazilian.  I hope my English is correct and I welcome feedback
- Please adopt free formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z
- Free (as in free speech) software for Android: https://f-droid.org/